Loading...
Searching...
No Matches
RDKit::MolDraw2D_detail::SGroupDataLabel Struct Reference

Holds the text and position of a DAT SGroup label. More...

`#include <MolDraw2DDetails.h>`

## Public Attributes

std::string | text
| label text
Point2D | pos
| position in molecule coordinates
bool | positioned
int | atomIdx
| index of the associated atom (-1 if none)

## Detailed Description

Holds the text and position of a DAT SGroup label.

Definition at line 166 of file MolDraw2DDetails.h.

## Member Data Documentation

## atomIdx

int RDKit::MolDraw2D_detail::SGroupDataLabel::atomIdx

index of the associated atom (-1 if none)

Definition at line 171 of file MolDraw2DDetails.h.

## pos

Point2D RDKit::MolDraw2D_detail::SGroupDataLabel::pos

position in molecule coordinates

Definition at line 168 of file MolDraw2DDetails.h.

## positioned

bool RDKit::MolDraw2D_detail::SGroupDataLabel::positioned

true if pos came from FIELDDISP; false if pos is the associated atom's conformer position (fallback)

Definition at line 169 of file MolDraw2DDetails.h.

## text

std::string RDKit::MolDraw2D_detail::SGroupDataLabel::text

label text

Definition at line 167 of file MolDraw2DDetails.h.

The documentation for this struct was generated from the following file:

- MolDraw2DDetails.h